#!/bin/bash

##################################
# PIN DEFINITION
##################################
GPIO_SHUTDOWN_NOTIFY_PIN=17
GPIO_REQUEST_DETECT_PIN=4


##################################
# Rise up shutdown notify pin 
##################################
pinctrl set $GPIO_SHUTDOWN_NOTIFY_PIN op
pinctrl set $GPIO_SHUTDOWN_NOTIFY_PIN dh


##################################
# Wait shutdown request and shutdown
##################################
while :
do
	pin_state=`pinctrl get $GPIO_REQUEST_DETECT_PIN | awk -F'[|]' '{print $2}' | awk -F'[ ]' '{print $2}'`
    if [ "$pin_state" = "lo" ]; then
        shutdown -h now
        exit 1
    fi
    sleep 0.5
done

